<?xml version="1.0" encoding="utf-8"?>
<configuration>
	<configSections>
		<sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System">
			<section name="DevExpress.LookAndFeel.Design.AppSettings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
		</sectionGroup>
		<section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net" />
	</configSections>
	<applicationSettings>
		<DevExpress.LookAndFeel.Design.AppSettings>
			<setting name="DPIAwarenessMode" serializeAs="String">
				<value>System</value>
			</setting>
			<setting name="RegisterBonusSkins" serializeAs="String">
				<value>True</value>
			</setting>
			<setting name="DefaultAppSkin" serializeAs="String">
				<value>Skin/Office 2019 Colorful</value>
			</setting>
			<setting name="DefaultPalette" serializeAs="String">
				<value>Pine</value>
			</setting>
			<setting name="TouchUI" serializeAs="String">
				<value>
				</value>
			</setting>
			<setting name="CompactUI" serializeAs="String">
				<value>
				</value>
			</setting>
			<setting name="TouchScaleFactor" serializeAs="String">
				<value>
				</value>
			</setting>
			<setting name="DirectX" serializeAs="String">
				<value>
				</value>
			</setting>
			<setting name="RegisterUserSkins" serializeAs="String">
				<value>
				</value>
			</setting>
			<setting name="FontBehavior" serializeAs="String">
				<value>
				</value>
			</setting>
			<setting name="DefaultAppFont" serializeAs="String">
				<value>微软雅黑;9</value>
			</setting>
			<setting name="CustomPaletteCollection" serializeAs="Xml">
				<value />
			</setting>
		</DevExpress.LookAndFeel.Design.AppSettings>
	</applicationSettings>
	<log4net>
		<root>
			<level value="ALL" />
			<appender-ref ref="SysAppender" />
		</root>
		<logger name="WebLogger">
			<level value="DEBUG" />
		</logger>
		<appender name="SysAppender" type="log4net.Appender.RollingFileAppender,log4net">
			<!--<param name="File" value="App_Data/" />-->
			<param name="File" value="log\\" />
			<param name="AppendToFile" value="true" />
			<param name="RollingStyle" value="Date" />
			<param name="DatePattern" value="&quot;Logs_&quot;yyyyMMdd&quot;.html&quot;" />
			<param name="StaticLogFileName" value="false" />
			<layout type="log4net.Layout.PatternLayout,log4net">
				<param name="ConversionPattern" value="%d [%t] %-5p %c - %m%n" />
				<param name="Header" value=" ----------------------header--------------------------&#xD;&#xA;" />
				<param name="Footer" value=" ----------------------footer--------------------------&#xD;&#xA;" />
			</layout>
		</appender>
		<appender name="consoleApp" type="log4net.Appender.ConsoleAppender,log4net">
			<layout type="log4net.Layout.PatternLayout,log4net">
				<param name="ConversionPattern" value="%d [%t] %-5p %c - %m%n" />
			</layout>
		</appender>
	</log4net>
	<startup>
		<supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.6.2" />
	</startup>
	<appSettings>
		<add key="ClientSettingsProvider.ServiceUri" value="" />
		<!--升级文件开关-->
		<add key="IsCanMakeBinFile" value="on" />
		<!--TCP连接超时时间:毫秒-->
		<add key="TcpConnectTimeOut" value="10000" />
		<!--Json配置文件名称-->
		<add key="JsonCfg" value="device_v1.1_20250930.json" />
		<!--过程数据获取监控时间间隔:毫秒-->
		<add key="ProcessInterval" value="50000" />
		
	</appSettings>
	<runtime>
		<assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
			<dependentAssembly>
				<assemblyIdentity name="System.Runtime.CompilerServices.Unsafe" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
				<bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
			</dependentAssembly>
		</assemblyBinding>
	</runtime>
	<system.web>
		<membership defaultProvider="ClientAuthenticationMembershipProvider">
			<providers>
				<add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
			</providers>
		</membership>
		<roleManager defaultProvider="ClientRoleProvider" enabled="true">
			<providers>
				<add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
			</providers>
		</roleManager>
	</system.web>
</configuration>